POST api/ExamFieldMappingDetails

Creates a new exam field mapping detail or updates an existent exam field mapping detail's information.

Request Information

URI Parameters

None.

Body Parameters

ExamFieldMappingDetailModel
NameDescriptionTypeAdditional information
ColumnName

Column Name of the exam field mapping detail (Required).

string

None.

ListValue

List values of the exam field mapping detail (Required).

string

None.

SortOrder

Sort order of the exam field mapping detail (Required).

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "columnName": "sample string 1",
  "listValue": "sample string 2",
  "sortOrder": 3,
  "id": "448a4160-436c-476d-bfc4-f1f11e6825b2",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<ExamFieldMappingDetailModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ExamFieldMappingDetails">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">448a4160-436c-476d-bfc4-f1f11e6825b2</Id>
  <ColumnName>sample string 1</ColumnName>
  <ListValue>sample string 2</ListValue>
  <SortOrder>3</SortOrder>
</ExamFieldMappingDetailModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'ExamFieldMappingDetailModel'.

Response Information

Resource Description

ExamFieldMappingDetailModel
NameDescriptionTypeAdditional information
ColumnName

Column Name of the exam field mapping detail (Required).

string

None.

ListValue

List values of the exam field mapping detail (Required).

string

None.

SortOrder

Sort order of the exam field mapping detail (Required).

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "columnName": "sample string 1",
  "listValue": "sample string 2",
  "sortOrder": 3,
  "id": "ededdd78-8b24-4c27-a482-3ee209b4f002",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<ExamFieldMappingDetailModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ExamFieldMappingDetails">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">ededdd78-8b24-4c27-a482-3ee209b4f002</Id>
  <ColumnName>sample string 1</ColumnName>
  <ListValue>sample string 2</ListValue>
  <SortOrder>3</SortOrder>
</ExamFieldMappingDetailModel>